Bug 18287 - Fix t/Koha.t having a Test::DBIx::Class cache issue
Summary: Fix t/Koha.t having a Test::DBIx::Class cache issue
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on: 18226
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-16 19:19 UTC by Olli-Antti Kivilahti
Modified: 2017-06-13 07:29 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18287 - Fix t/Koha.t having a Test::DBIx::Class cache issue (743 bytes, patch)
2017-03-16 19:20 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 18287 - Fix t/Koha.t having a Test::DBIx::Class cache issue (824 bytes, patch)
2017-06-05 20:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-03-16 19:19:25 UTC
REPLICATE ISSUE:

perl t/Koha.t -> fails

AFTER THIS PATCH AND DEPENDENCIES:

perl t/Koha.t -> OK
Comment 1 Olli-Antti Kivilahti 2017-03-16 19:20:19 UTC
Created attachment 61187 [details] [review]
Bug 18287 - Fix t/Koha.t having a Test::DBIx::Class cache issue

REPLICATE ISSUE:

perl t/Koha.t -> fails

AFTER THIS PATCH AND DEPENDENCIES:

perl t/Koha.t -> OK
Comment 2 Jonathan Druart 2017-05-02 17:05:15 UTC
It does not fail for me against master.
Comment 3 Jonathan Druart 2017-06-05 20:43:32 UTC
Created attachment 64000 [details] [review]
Bug 18287 - Fix t/Koha.t having a Test::DBIx::Class cache issue

REPLICATE ISSUE:

perl t/Koha.t -> fails

AFTER THIS PATCH AND DEPENDENCIES:

perl t/Koha.t -> OK

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2017-06-05 20:45:05 UTC
Trivial, skipping QA.
Comment 5 Jonathan Druart 2017-06-05 20:57:08 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-06-13 07:29:58 UTC
Enhancement not pushed to 17.05.x